Subject: [Isis-wg] Auto-encap discussion

From: "Philip Christian" <[email-masked]>
Date: Fri, 20 Sep 2002 17:25:12 +0000

Comments inline
----- Original Message -----
From: Jeff Learman <[email-masked]>
Date: Fri, 20 Sep 2002 10:04:07 -0400
To: "Philip Christian" <[email-masked]>
Subject: RE: [Isis-wg] Protocols Supported TLV

> 
> If by "protocol-aware SPF" you mean the same thing as "multi-SPF", then
> I really shouldn't have disagreed with that paragraph I quoted.

An IS could be protocol aware even though it is IPv4 only.  It could choose to ignore other ISs that don't support IPv4 so it is protocol aware, but it is only IPv4 so it isn't multi-SPF.

It therefore follows that if a router is a multi-protocol router, and has  protocol aware SPF, then actually it is going to be multi-SPF too...

This would all of course be contradictory to RFC 1195 (which explicitly forbids protocol aware SPF), and wouldn't interwork with auto-encap, and it can cause loops, so I'll fight such a suggestion when I see it :-)
> 
> My understanding was that there were implementations that used
> multi-SPF, but I don't remember which, or why I got that impression,
> other than that it was through discussion on this forum.  I don't
> know whether Cisco routers use multi-SPF, for example.

Not any that I lab tested.  The ones (Cisco IOS 11 and 12 I think) that I tested with auto-encap worked perfectly.  I was only doing IPv4 and OSI though.

> 
> You're right of course that all implementations in a mixed subdomain
> would ave to support multi-SPF.  In the same vein, you have to be
> equally careful in auto-encap not to have "vanilla 1195 IP-only" and
> "vanilla OSI-only" routers on a LAN, because they will form
> adjacencies between each other.  I think that will mess things up.

It will indeed mess things up.  For this reason the ITU-T document mandates that you only form an adjacency if there is at least an overlap.  This applies to all IP-only ISs.  Therefore you can't have an adjacency between an IP-only and an OSI-only, or between an IPv4-only and an IPv6-only.

Sadly this only applies to ITU-T multiplexers, it isn't retrospectively applied to internet type routers.  The draft does explain this.  Sadly it isn't idiot proof (hey, Integrated IS-IS never was). You can manually get around it by disabling adjacencies or just not connecting it that way.

The pseudonode election is also messy.  I'm confident that the draft gets it as good as it's ever going to get without sacrificing backwards compatibility (which is the whole point of auto-encap isn't it).
> 
> I'm not recommending that we add this to the interop document, by the way.
> 
> Tangentially, I do have some issues with auto-encap -- not for IP/OSI,
> but for IPV4/V6.  Is it possible, with auto-encap, to explicitly control
> where tunnel endpoints are allowed to exist?  This would be extremely
> important in a real rollout of IPV6, because only certain platforms
> will be able to do the tunneling at line rate.  Also, I think it will
> be important to make sure that automatic tunneling doesn't happen when
> there is a pure-native path that might be slightly longer than a mixed
> path.  (If you reply to this you can change the subject accordingly.)

Because it doesn't mess with SPF, and because IS-IS metrics are IS-IS metrics, not IP or OSI ones, this isn't easily possible, but I suppose that it could be done.

Routers that can terminate dynamic tunnels advertise the fact, and then a router that needs to encap can choose any that is on the shortest path.  Currently the draft says the first, but it could be any.  As the TLV was written in an extensible way we could now, at a later time put some sort or preference in there.  In this way a router could say that it is good at terminating dynamic tunnels, or that it can but only as a last resort.  That is actually quite a nice add on.
> 
> Note that this concern doesn't necessarily represent a Cisco position;
> I haven't discussed it with anyone here.

I have :-)

Philip
-- 
__________________________________________________________
Sign-up for your own FREE Personalized E-mail at Mail.com
http://www.mail.com/?sr=signup

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg